Skip to main content
GET
/
v1
/
paper
/
strategies
/
{strategy_id}
/
positions
List Positions
curl --request GET \
  --url https://api.polyquantlab.com/v1/paper/strategies/{strategy_id}/positions \
  --header 'Authorization: Bearer <token>'
{
  "positions": [
    {
      "position_id": "pos_a0e84210",
      "market_id": "0x4a8f31...c2",
      "opened_at": "2026-06-06T03:54:11+00:00",
      "closed_at": "2026-06-06T04:00:02+00:00",
      "side": "buy_yes",
      "entry_price": 0.27,
      "exit_price": 1,
      "size": 7.5,
      "net_pnl": 5.48,
      "outcome": "Up"
    }
  ],
  "count": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

strategy_id
string
required

Query Parameters

limit
integer
default:1000
Required range: x <= 10000

Response

Successful Response

positions
object[]
required
count
integer<int64>
required